Quassel IRC - Feature #279

Please add visible indication of own away status
08/14/2008 08:40 PM - TerrorBite

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.4.0

0S: Any

Description

When the user is away, it would be great to have some visual feedback such as greying out the nick in the dropdown left of the input
box, or putting parentheses around it, or some other visible indication of awayness.

History

#1 - 10/20/2008 08:15 PM - TerrorBite

Suggesting that an icon or message be placed in the status bar when you are set as away. Hovering over this icon could show the away message.
Maybe also change the text of the nickname dropbox to grey, a la XChat.

#2 - 01/13/2009 08:53 PM - EgS

- Status changed from New to Resolved
- Assignee set to EgS

- Priority changed from High to Normal
- Target version set to 0.4.0

- % Done changed from 0 to 100

The nick selector shows now the away icon, if you're marked as being away

Fixed in git:
http://git.quassel-irc.org/?p=quassel.git;a=commitdiff;h=7897b8623a42967511e31c68d5¢102033a1dcdb9
